<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Printing Methods</TITLE>
<link href="suif1_30.html" rel=Next>
<link href="suif1_28.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_28.html">previous</A>, <A HREF="suif1_30.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC29" HREF="suif1_toc.html#TOC29">Printing Methods</A></H3>
<P>
<A NAME="IDX161"></A>

</P>
<P>
<A NAME="IDX162"></A>
Instructions can be printed out as text using the <CODE>print</CODE> method.
The optional <CODE>depth</CODE> parameter specifies the indentation level for
the output.  The <CODE>elab</CODE> and <CODE>en</CODE> parameters are also optional
and are only used when printing sub-expressions.  Most users should
never need to worry about these extra parameters.  The <CODE>elab</CODE>
parameter is the number for the label attached to the instruction, and
the <CODE>en</CODE> parameter is the next number to be used for labeling
subexpressions.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_28.html">previous</A>, <A HREF="suif1_30.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
